var navArray = new Array();

navArray[0] = new addmenuitem("characters_over.gif", "characters.gif");
navArray[1] = new addmenuitem("springfield_over.gif", "springfield.gif");
navArray[2] = new addmenuitem("screenshots_over.gif", "screenshots.gif");
navArray[3] = new addmenuitem("game_info_over.gif", "game_info.gif");

function addmenuitem(onstate,offstate,name)	{
	this.on  = new Image();
		this.on.src = "http://images.ea.com/eagames/official/simpsons_roadrage/frame/" + onstate;
	this.off = new Image();
		this.off.src = "http://images.ea.com/eagames/official/simpsons_roadrage/frame/" + offstate;
	this.isoff = true;
};


function roll(menuitem,imagename)	{
	if(navArray[menuitem].isoff)	{
		var thisimage = eval("document.images[imagename]");
		thisimage.src = navArray[menuitem].on.src;
		navArray[menuitem].isoff = false;
	} else {
		var thisimage = eval("document.images[imagename]");
		thisimage.src = navArray[menuitem].off.src;	
		navArray[menuitem].isoff = true;
	}
};

function videoPopUp(name)	{
	path = "/downloads/eagames/official/simpsons_roadrage/" + name;
	var newwindow = window.open(path,"video","width=258,height=210");
	newwindow.focus();
};